XMLFactory (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.xml

## Class XMLFactory

- java.lang.Object
- - tv.amwa.maj.io.xml.XMLFactory

-     public class XMLFactory
      extends Object

  Provides a means to read and write XML files from the local filing system.

  THE DOCUMENTATION FOR THIS CLASS IS INCOMPLETE.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static void` | `overwriteFile(File aafxFile, Preface preface)`
    `static Preface` | `readPreface(String inputFileName)`
    `static void` | `writePreface(Preface preface, String outputFileName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLFactory

          public XMLFactory()

  - ### Method Detail

    - #### readPreface

          public static final Preface readPreface(String inputFileName)
                                           throws FileNotFoundException,
                                                  IOException,
                                                  NullPointerException,
                                                  SAXException

      Throws:
        `FileNotFoundException`
        `IOException`
        `NullPointerException`
        `SAXException`

    - #### writePreface

          public static final void writePreface(Preface preface,
                                                String outputFileName)
                                         throws NullPointerException,
                                                IOException

      Throws:
        `NullPointerException`
        `IOException`

    - #### overwriteFile

          public static final void overwriteFile(File aafxFile,
                                                 Preface preface)
                                          throws NullPointerException,
                                                 IOException

      Throws:
        `NullPointerException`
        `IOException`

    - #### main

          public static final void main(String[] args)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.